Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf
Interface XMLConstants

All Known Subinterfaces:
  IFlexViewComponentUI

All Known Implementing Classes:
  ButtonUI, Configurator, FlexViewComponentUI, IconResourceFactory, MetalTitlebarUI, PlafMappingFactory, ResourceHandlerFactory, SkinLFTitlebarUI, TitlebarUI, UIFactory, ViewUI

    public interface XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `ATTRIBUTE_KEY`
`static String` | `CLASSNAME_KEY`
`static String` | `CONSTRUCTOR_KEY`
`static String` | `DESC_KEY`
`static String` | `EXTENDS_KEY`
`static String` | `HANDLER_KEY`
`static String` | `INHERITS_KEY`
`static String` | `NAME_KEY`
`static String` | `OVERRIDDEN_KEY`
`static String` | `PROP_HANDLER_KEY`
`static String` | `PROPERTY_KEY`
`static String` | `REFERENCE_KEY`
`static String` | `VALUE_KEY`

Field Detail

### CONSTRUCTOR_KEY

    static final String CONSTRUCTOR_KEY

See Also:
  Constant Field Values

### CLASSNAME_KEY

    static final String CLASSNAME_KEY

See Also:
  Constant Field Values

### REFERENCE_KEY

    static final String REFERENCE_KEY

See Also:
  Constant Field Values

### ATTRIBUTE_KEY

    static final String ATTRIBUTE_KEY

See Also:
  Constant Field Values

### PROPERTY_KEY

    static final String PROPERTY_KEY

See Also:
  Constant Field Values

### NAME_KEY

    static final String NAME_KEY

See Also:
  Constant Field Values

### DESC_KEY

    static final String DESC_KEY

See Also:
  Constant Field Values

### VALUE_KEY

    static final String VALUE_KEY

See Also:
  Constant Field Values

### EXTENDS_KEY

    static final String EXTENDS_KEY

See Also:
  Constant Field Values

### HANDLER_KEY

    static final String HANDLER_KEY

See Also:
  Constant Field Values

### PROP_HANDLER_KEY

    static final String PROP_HANDLER_KEY

See Also:
  Constant Field Values

### INHERITS_KEY

    static final String INHERITS_KEY

See Also:
  Constant Field Values

### OVERRIDDEN_KEY

    static final String OVERRIDDEN_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD